<?php

    require_once("../../config.php");
    require_once("lib.php");

    require_login();

    if (! isadmin()) {
        error(get_string("youcannotchange", "lstest"));
    }

    if (! $site = get_site()) {
        error(get_string("sitedoesntexist", "lstest"));
    }

    if (!confirm_sesskey()) {
        error(get_string('confirmsesskeybad', 'error'));
    }

    $test = lstest_get_test_submitted();
    $styles = lstest_get_styles_submitted($test->stylesnum);
    $levels = lstest_get_levels_submitted($test->levelsnum);
    $answers = lstest_get_answers_submitted($test->answersnum);
    $items = lstest_get_items($test->itemsnum, $test->answersnum, $test->id);

    $modpath = "$CFG->wwwroot/mod/lstest";

?>

<script>
<!-- // BEGIN
function checkform() {

    var error=false;

    <?php
    for ($i=1; $i<=$test->itemsnum; $i++) {
        $stritemstatement = "document.form.question".$i.".value";
        echo "  if (!".$stritemstatement.") error=true;\n";
    }
    ?>

    if (error) {
        alert("<?php print_string("itemsnotanswered", "lstest") ?>");
    } else {
        document.form.submit();
    }
}
// END -->
</script>

<?php

    $stradministration = get_string("administration");
    $strconfiguration = get_string("configuration");
    $strmanagemodules = get_string("managemodules");
    $strmodulename = get_string("modulename", "lstest");
    $streditingtest = get_string("editingitems", "lstest");

    print_header("$site->shortname: $strmodulename", $site->fullname,
                 "<a href=\"$CFG->wwwroot/admin/index.php\">$stradministration</a> -> ".
                 "<a href=\"$CFG->wwwroot/admin/configure.php\">$strconfiguration</a> -> ".
                 "<a href=\"$CFG->wwwroot/admin/modules.php\">$strmanagemodules</a> -> ".
                 "<a href=\"$CFG->wwwroot/admin/module.php?module=lstest\">$strmodulename</a> -> $streditingtest");


    $icon = "<img align=absmiddle height=16 width=16 src=\"$modpath/icon.gif\">&nbsp;";

    $pageheading = get_string('addingitems', "lstest");

    print_heading_with_help($pageheading, "items", "lstest", $icon);
    print_simple_box_start("center", "");
?>

<FORM name="form" method="post" action="<?php p($modpath) ?>/thresholds.php">
<CENTER>
<TABLE cellpadding=5>

<TR valign=top>
    <TD></TD>
    <TD></TD>
    <TD></TD>
    <?php
    for($i=1; $i<=$test->answersnum; $i++) {
        $stranswer = "answer".$i;
        echo "<TD colspan=2 align=center><B>";
        p($answers->$stranswer);
        echo "</B></TD>";
    }
    ?>
</TR>

<TR valign=top>
    <TD></TD>
    <TD></TD>
    <TD></TD>
    <?php
    for($i=1; $i<=$test->answersnum; $i++) {
        echo "<TD align=center>";
        print_string("notchecked", "lstest");
        echo "</TD>";
        echo "<TD align=center>";
        print_string("checked", "lstest");
        echo "</TD>";
    }
    ?>
</TR>

<?php

if ( !empty($test->id)) {
    $onestyles = get_records("lstest_styles", "testsid", $test->id, "id asc");
    $i = 1;
    foreach ($onestyles as $onestyle) {
        $styleids[$i++] = $onestyle->id;
    }
    $i = 1;
    foreach ($styles as $stylename) {
        $options[$styleids[$i++]] = $stylename;
    }
} else {
    $i = 1;
    foreach ($styles as  $stylename) {
        $options[$i++] = $stylename;
    }
}

for ($i=-10; $i<=10; $i++) {
    $scoreoptions[$i] = "$i";
}


for ($i=1; $i<=$test->itemsnum; $i++) {
    $strquestion = "question".$i;
    $strstylesid = "stylesid".$i;
    ?>

    <TR valign=top>
        <td>
            <P><B><?php  print_string('itemnumber', "lstest", $i) ?>:</B></P>
        </td>
        <TD align=right>
            <textarea name="<?php p($strquestion) ?>" rows=2 cols=50><?php p($items->$strquestion) ?></textarea>
        </TD>
        <TD>
            <?php choose_from_menu($options, "$strstylesid", $items->$strstylesid, "") ?>
        </TD>
        <?php
        for ($j=1; $j<=$test->answersnum; $j++) {
            $strnocheckedscore = "nocheckedscore".$i.$j;
            $strcheckedscore = "checkedscore".$i.$j;

            ?>
            <TD align=center>
                <?php choose_from_menu($scoreoptions, "$strnocheckedscore", $items->$strnocheckedscore, "") ?>
            </TD>
            <TD align=center>
                <?php choose_from_menu($scoreoptions, "$strcheckedscore", $items->$strcheckedscore, "") ?>
            </TD>
            <?php
        }
        ?>
    </TR>

    <?php
}
?>

</TABLE>
<br>

<script>
<!-- // BEGIN
    document.write('<input type=button value="<?php print_string("continue") ?>" onClick=checkform()>');
// END -->
</script>

<noscript>
    <input type="submit" value="<?php print_string("continue") ?>">
</noscript>

<?php
    lstest_submit_test($test);
    lstest_submit_styles($test->stylesnum, $styles);
    lstest_submit_levels($test->levelsnum, $levels);
    lstest_submit_answers($test->answersnum, $answers);
?>

<input type="hidden" name="sesskey" value="<?php p("$USER->sesskey") ?>">

</CENTER>
</FORM>

<?php
    print_simple_box_end();
    print_footer();
?>
